openSUSE Security Update : optipng (openSUSE-2016-468)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

optipng was updated to fix one security issue.

This security issue was fixed :

- CVE-2016-2191: Invalid write while processing bitmap
images (bsc#973992).

- CVE-2016-3981: Heap buffer overflow pngxrbmp.c
bmp_read_rows

- CVE-2016-3982: Heap buffer overflow pngxrbmp.c
bmp_rle4_fread

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=973992

Solution :

Update the affected optipng packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 90560 ()

Bugtraq ID:

CVE ID: CVE-2016-2191
CVE-2016-3981
CVE-2016-3982

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now